/*
 * HWSGBM driver - VDMA programming functions
 *
 * Copyright 2016 ELVEES NeoTek JSC
 * Author: Oleg Kitain <okitain@elvees.com>
 */

#ifndef HWSGBM_VDMA_H
#define HWSGBM_VDMA_H

#include <linux/platform_device.h>
#include "hwsgbm-driver.h"

void hwsgbm_conf_vdma(struct hwsgbm_ctx *ctx,
		      dma_addr_t dst_ptr,
		      dma_addr_t srcl_ptr,
		      dma_addr_t srcr_ptr);

void hwsgbm_vdma_run(struct hwsgbm_priv *drv_priv);

void hwsgbm_vdma_done(struct hwsgbm_priv *drv_priv);

int hwsgbm_vdma_request(struct hwsgbm_priv *drv_priv);

void hwsgbm_vdma_release(struct hwsgbm_priv *drv_priv);
#endif /* HWSGBM_VDMA_H */
