/*
 * HWSGBM driver - VRAM allocation functions
 *
 * Copyright 2016 ELVEES NeoTek JSC
 * Author: Oleg Kitain <okitain@elvees.com>
 */

#ifndef HWSGBM_VRAM_H
#define HWSGBM_VRAM_H

#include <linux/platform_device.h>

#include "hwsgbm-driver.h"
phys_addr_t hwsgbm_get_vram_base(struct platform_device *pdev);
int hwsgbm_map_vram(struct hwsgbm_ctx *ctx);
int hwsgbm_unmap_vram(struct hwsgbm_ctx *ctx);

#endif /* HWSGBM_VRAM_H */
